summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/run_logging_tests
diff options
context:
space:
mode:
authorJustin Ross <jross@apache.org>2016-04-21 12:31:34 +0000
committerJustin Ross <jross@apache.org>2016-04-21 12:31:34 +0000
commit71149592670f7592886751a9a866459bef0f12cc (patch)
treee4d1fd948055e36d1560112a318e77a210506d06 /qpid/cpp/src/tests/run_logging_tests
parenta835fb2724824dcd8a470fb51424cedeb6b38f62 (diff)
downloadqpid-python-71149592670f7592886751a9a866459bef0f12cc.tar.gz
QPID-7207: Create independent cpp and python subtrees, with content from tools and extras
git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@1740289 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/run_logging_tests')
-rwxr-xr-xqpid/cpp/src/tests/run_logging_tests38
1 files changed, 38 insertions, 0 deletions
diff --git a/qpid/cpp/src/tests/run_logging_tests b/qpid/cpp/src/tests/run_logging_tests
new file mode 100755
index 0000000000..2ebcc5c902
--- /dev/null
+++ b/qpid/cpp/src/tests/run_logging_tests
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -eu
+
+source env.sh
+
+export WORK_DIR=$(mktemp -d $PWD/run_logging_tests_XXXX)
+
+exit_code=0
+
+dynamic_log_hires_timestamp || exit_code=1
+dynamic_log_level_test || exit_code=1
+
+if (( exit_code != 0 )); then
+ echo "Logging test failures"
+ exit $exit_code
+fi
+
+rm -rf $WORK_DIR